Update Messaging Connection
curl --request PATCH \
--url https://api.revring.ai/v1/messaging-connections/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"friendlyName": "<string>",
"accountSid": "<string>",
"authToken": "<string>",
"messagingServiceSid": "<string>"
}
'import requests
url = "https://api.revring.ai/v1/messaging-connections/{id}"
payload = {
"friendlyName": "<string>",
"accountSid": "<string>",
"authToken": "<string>",
"messagingServiceSid": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
friendlyName: '<string>',
accountSid: '<string>',
authToken: '<string>',
messagingServiceSid: '<string>'
})
};
fetch('https://api.revring.ai/v1/messaging-connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"friendlyName": "<string>",
"channel": "sms",
"provider": "twilio",
"accountSid": "<string>",
"messagingServiceSid": "<string>",
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid_body",
"details": {}
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}Messaging Connections
Update Messaging Connection
Update a messaging connection. If credentials change they are re-verified with the provider. Provide authToken only to rotate it.
PATCH
/
messaging-connections
/
{id}
Update Messaging Connection
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Messaging connection ID
Body
application/json
Response
Connection updated
A connected messaging provider. Secrets (the provider Auth Token) are never included.
Show child attributes
Show child attributes
⌘I